Loading...
Searching...
No Matches
dolfin::MixedLinearVariationalSolver Class Reference

This class implements a solver for mixed linear variational problems. More...

`#include <MixedLinearVariationalSolver.h>`

Inheritance diagram for dolfin::MixedLinearVariationalSolver:
[legend]
Collaboration diagram for dolfin::MixedLinearVariationalSolver:
[legend]

## Public Types

typedef std::tuple< std::vector< std::shared_ptr< GenericMatrix > >, std::vector< std::shared_ptr< GenericVector > >, std::vector< std::shared_ptr< GenericVector > > > | assembled_system_type

## Public Member Functions

| MixedLinearVariationalSolver ()
| Create linear variational solver for given problem.
| MixedLinearVariationalSolver (std::shared_ptr< MixedLinearVariationalProblem > problem)
assembled_system_type | assemble_system ()
| Block-by-block assembly.
void | solve ()
| Solve variational problem.
void | solve (assembled_system_type assembled_system)
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Static Public Member Functions

static Parameters | default_parameters ()
| Default parameter values.

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

This class implements a solver for mixed linear variational problems.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedLinearVariationalSolver.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedLinearVariationalSolver.cpp